net.sourceforge.pmd.lang.java.symboltable

## Class NameOccurrence

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.NameOccurrence

-     public class NameOccurrence
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameOccurrence(JavaNode location, String image)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getArgumentCount()`
    `String` | `getImage()`
    `JavaNode` | `getLocation()`
    `NameOccurrence` | `getNameForWhichThisIsAQualifier()`
    `int` | `hashCode()`
    `boolean` | `isMethodOrConstructorInvocation()`
    `boolean` | `isOnLeftHandSide()`
    `boolean` | `isOnRightHandSide()`
    `boolean` | `isPartOfQualifiedName()`
    `boolean` | `isSelfAssignment()` Assert it the occurrence is a self assignment such as: `i += 3;`
    `boolean` | `isThisOrSuper()` Simply return true is the image is equal to keyword 'this' or 'super'.
    `void` | `setArgumentCount(int count)`
    `void` | `setIsMethodOrConstructorInvocation()`
    `void` | `setNameWhichThisQualifies(NameOccurrence qualifiedName)`
    `String` | `toString()`
    `boolean` | `useThisOrSuper()` Simply return if the image start with keyword 'this' or 'super'.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NameOccurrence

          public NameOccurrence(JavaNode location,
                        String image)

  - ### Method Detail

    - #### setIsMethodOrConstructorInvocation

          public void setIsMethodOrConstructorInvocation()

    - #### setArgumentCount

          public void setArgumentCount(int count)

    - #### getArgumentCount

          public int getArgumentCount()

    - #### isMethodOrConstructorInvocation

          public boolean isMethodOrConstructorInvocation()

    - #### setNameWhichThisQualifies

          public void setNameWhichThisQualifies(NameOccurrence qualifiedName)

    - #### getNameForWhichThisIsAQualifier

          public NameOccurrence getNameForWhichThisIsAQualifier()

    - #### isPartOfQualifiedName

          public boolean isPartOfQualifiedName()

    - #### getLocation

          public JavaNode getLocation()

    - #### isOnRightHandSide

          public boolean isOnRightHandSide()

    - #### isOnLeftHandSide

          public boolean isOnLeftHandSide()

    - #### isSelfAssignment

          public boolean isSelfAssignment()

      Assert it the occurrence is a self assignment such as: `i += 3;`
      Returns:
        true, if the occurrence is self-assignment, false, otherwise.

    - #### isThisOrSuper

          public boolean isThisOrSuper()

      Simply return true is the image is equal to keyword 'this' or 'super'.
      Returns:
        return true if image equal to 'this' or 'super'.

    - #### useThisOrSuper

          public boolean useThisOrSuper()

      Simply return if the image start with keyword 'this' or 'super'.
      Returns:
        true, if keyword is used, false otherwise.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getImage

          public String getImage()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.